Subject: bug#23451: 25.0.93; Clarify the dependency on find/grep for platforms not having those tools

From: Dmitry Gutov <[email-masked]>
Date: Mon, 29 May 2017 11:50:42 +0300

On 5/29/17 5:58 AM, [email-masked] wrote:

> So when <cmd> is grep, and the number of files is greater than the
> command line length limit, the exit status is effectively random (it
> depends on 'find' decides to group the batches of files it passes to
> 'grep').

Can we make Grep exit with 0 no matter if it matched something or not? 
So that non-zero means an actual problem.

There is no suitable command-line option, it seems, but maybe there's a 
shell-based option? Like 'grep ... || exit 0', but I don't think we want 
to swallow exit statuses higher than 1.

Alternatively, I suppose we can learn to determine that the user has no 
working find and grep inside grep-compute-defaults, and possibly avoid 
setting grep-find-template in that case.